--ArgentDawnGrinder 1.3
--Written By Tiok - US Thrall

ARGENT_DAWN_GRINDER_PREFIX = "ARGENTDAWNGRINDER";
ARGENT_DAWN_GRINDER_FIRST_REFRESH = 0;

ArgentDawnGrinder_ItemIDS = 
{
    ["Minion's Scourgestone"] = "12840";
    ["Invader's Scourgestone"] = "12841";
    ["Corruptor's Scourgestone"] = "12843";
    ["Argent Dawn Valor Token"] = "12844";
    ["Core of Elements"] = "22527";
    ["Crypt Fiend Parts"] = "22525";
    ["Bone Fragments"] = "22526";
    ["Dark Iron Scraps"] = "22528";
    ["Savage Frond"] = "22529";
    ["Insignia of the Crusade"] = "22524";
    ["Insignia of the Dawn"] = "22523";
    ["Arcane Quickener"] = "13320";
    ["Osseous Agitator"] = "13357";
    ["Somatic Intensifier"] = "13356";
    ["Ectoplasmic Resonator"] = "13354";
    ["Runecloth"] = "14047";
}

function ArgentDawnGrinder_RegisterEvents()
    this:RegisterEvent("ADDON_LOADED");
    this:RegisterEvent("VARIABLES_LOADED");
    this:RegisterEvent("BANKFRAME_OPENED");
    this:RegisterEvent("BANKFRAME_CLOSED");
    this:RegisterEvent("BAG_UPDATE");
    this:RegisterEvent("CHAT_MSG_CHANNEL_NOTICE");
    this:RegisterEvent("CHAT_MSG_COMBAT_FACTION_CHANGE");
    --add event registrations here
end

BANK_IS_OPEN = false;

REP_VALUE = 0;

function ArgentDawnGrinder_Init()
    DEFAULT_CHAT_FRAME:AddMessage("|cff00ff50".."ArgentDawnGrinder Loaded.  Type /adg to show the settings screen.");
    --add variable initializations here
    if(ARGENT_DAWN_GRINDER_SETTINGS == nil)then
	ARGENT_DAWN_GRINDER_SETTINGS=
	{
	    ["SHOW_TURNIN_TRACKER"] = false;
	    ["SHOW_CAULDRON_TRACKER"] = false;
	    ["INCLUDE_BANK_BAGS"] = false;
	    ["BANK_SCANNED"] = false;
	}
    end

    if(ARGENT_DAWN_GRINDER_BAGS == nil)then
	ARGENT_DAWN_GRINDER_BAGS =
	{
	    [-1] =  {
			["Minion's Scourgestone"] = 0;
			["Invader's Scourgestone"] = 0;
			["Corruptor's Scourgestone"] = 0;
			["Argent Dawn Valor Token"] = 0;
			["Core of Elements"] = 0;
			["Crypt Fiend Parts"] = 0;
			["Bone Fragments"] = 0;
			["Dark Iron Scraps"] = 0;
			["Savage Frond"] = 0;
			["Insignia of the Crusade"] = 0;
			["Insignia of the Dawn"] = 0;
			["Arcane Quickener"] = 0;
			["Osseous Agitator"] = 0;
			["Somatic Intensifier"] = 0;
			["Ectoplasmic Resonator"] = 0;
			["Runecloth"] = 0;
		    };
	    [0] =  {
			["Minion's Scourgestone"] = 0;
			["Invader's Scourgestone"] = 0;
			["Corruptor's Scourgestone"] = 0;
			["Argent Dawn Valor Token"] = 0;
			["Core of Elements"] = 0;
			["Crypt Fiend Parts"] = 0;
			["Bone Fragments"] = 0;
			["Dark Iron Scraps"] = 0;
			["Savage Frond"] = 0;
			["Insignia of the Crusade"] = 0;
			["Insignia of the Dawn"] = 0;
			["Arcane Quickener"] = 0;
			["Osseous Agitator"] = 0;
			["Somatic Intensifier"] = 0;
			["Ectoplasmic Resonator"] = 0;
			["Runecloth"] = 0;
		    };
	    [1] =  {
			["Minion's Scourgestone"] = 0;
			["Invader's Scourgestone"] = 0;
			["Corruptor's Scourgestone"] = 0;
			["Argent Dawn Valor Token"] = 0;
			["Core of Elements"] = 0;
			["Crypt Fiend Parts"] = 0;
			["Bone Fragments"] = 0;
			["Dark Iron Scraps"] = 0;
			["Savage Frond"] = 0;
			["Insignia of the Crusade"] = 0;
			["Insignia of the Dawn"] = 0;
			["Arcane Quickener"] = 0;
			["Osseous Agitator"] = 0;
			["Somatic Intensifier"] = 0;
			["Ectoplasmic Resonator"] = 0;
			["Runecloth"] = 0;
		    };
	    [2] =  {
			["Minion's Scourgestone"] = 0;
			["Invader's Scourgestone"] = 0;
			["Corruptor's Scourgestone"] = 0;
			["Argent Dawn Valor Token"] = 0;
			["Core of Elements"] = 0;
			["Crypt Fiend Parts"] = 0;
			["Bone Fragments"] = 0;
			["Dark Iron Scraps"] = 0;
			["Savage Frond"] = 0;
			["Insignia of the Crusade"] = 0;
			["Insignia of the Dawn"] = 0;
			["Arcane Quickener"] = 0;
			["Osseous Agitator"] = 0;
			["Somatic Intensifier"] = 0;
			["Ectoplasmic Resonator"] = 0;
			["Runecloth"] = 0;
		    };
	    [3] =  {
			["Minion's Scourgestone"] = 0;
			["Invader's Scourgestone"] = 0;
			["Corruptor's Scourgestone"] = 0;
			["Argent Dawn Valor Token"] = 0;
			["Core of Elements"] = 0;
			["Crypt Fiend Parts"] = 0;
			["Bone Fragments"] = 0;
			["Dark Iron Scraps"] = 0;
			["Savage Frond"] = 0;
			["Insignia of the Crusade"] = 0;
			["Insignia of the Dawn"] = 0;
			["Arcane Quickener"] = 0;
			["Osseous Agitator"] = 0;
			["Somatic Intensifier"] = 0;
			["Ectoplasmic Resonator"] = 0;
			["Runecloth"] = 0;
		    };
	    [4] =  {
			["Minion's Scourgestone"] = 0;
			["Invader's Scourgestone"] = 0;
			["Corruptor's Scourgestone"] = 0;
			["Argent Dawn Valor Token"] = 0;
			["Core of Elements"] = 0;
			["Crypt Fiend Parts"] = 0;
			["Bone Fragments"] = 0;
			["Dark Iron Scraps"] = 0;
			["Savage Frond"] = 0;
			["Insignia of the Crusade"] = 0;
			["Insignia of the Dawn"] = 0;
			["Arcane Quickener"] = 0;
			["Osseous Agitator"] = 0;
			["Somatic Intensifier"] = 0;
			["Ectoplasmic Resonator"] = 0;
			["Runecloth"] = 0;
		    };
	    [5] =  {
			["Minion's Scourgestone"] = 0;
			["Invader's Scourgestone"] = 0;
			["Corruptor's Scourgestone"] = 0;
			["Argent Dawn Valor Token"] = 0;
			["Core of Elements"] = 0;
			["Crypt Fiend Parts"] = 0;
			["Bone Fragments"] = 0;
			["Dark Iron Scraps"] = 0;
			["Savage Frond"] = 0;
			["Insignia of the Crusade"] = 0;
			["Insignia of the Dawn"] = 0;
			["Arcane Quickener"] = 0;
			["Osseous Agitator"] = 0;
			["Somatic Intensifier"] = 0;
			["Ectoplasmic Resonator"] = 0;
			["Runecloth"] = 0;
		    };
	    [6] =  {
			["Minion's Scourgestone"] = 0;
			["Invader's Scourgestone"] = 0;
			["Corruptor's Scourgestone"] = 0;
			["Argent Dawn Valor Token"] = 0;
			["Core of Elements"] = 0;
			["Crypt Fiend Parts"] = 0;
			["Bone Fragments"] = 0;
			["Dark Iron Scraps"] = 0;
			["Savage Frond"] = 0;
			["Insignia of the Crusade"] = 0;
			["Insignia of the Dawn"] = 0;
			["Arcane Quickener"] = 0;
			["Osseous Agitator"] = 0;
			["Somatic Intensifier"] = 0;
			["Ectoplasmic Resonator"] = 0;
			["Runecloth"] = 0;
		    };
	    [7] =  {
			["Minion's Scourgestone"] = 0;
			["Invader's Scourgestone"] = 0;
			["Corruptor's Scourgestone"] = 0;
			["Argent Dawn Valor Token"] = 0;
			["Core of Elements"] = 0;
			["Crypt Fiend Parts"] = 0;
			["Bone Fragments"] = 0;
			["Dark Iron Scraps"] = 0;
			["Savage Frond"] = 0;
			["Insignia of the Crusade"] = 0;
			["Insignia of the Dawn"] = 0;
			["Arcane Quickener"] = 0;
			["Osseous Agitator"] = 0;
			["Somatic Intensifier"] = 0;
			["Ectoplasmic Resonator"] = 0;
			["Runecloth"] = 0;
		    };
	    [8] =  {
			["Minion's Scourgestone"] = 0;
			["Invader's Scourgestone"] = 0;
			["Corruptor's Scourgestone"] = 0;
			["Argent Dawn Valor Token"] = 0;
			["Core of Elements"] = 0;
			["Crypt Fiend Parts"] = 0;
			["Bone Fragments"] = 0;
			["Dark Iron Scraps"] = 0;
			["Savage Frond"] = 0;
			["Insignia of the Crusade"] = 0;
			["Insignia of the Dawn"] = 0;
			["Arcane Quickener"] = 0;
			["Osseous Agitator"] = 0;
			["Somatic Intensifier"] = 0;
			["Ectoplasmic Resonator"] = 0;
			["Runecloth"] = 0;
		    };
	    [9] =  {
			["Minion's Scourgestone"] = 0;
			["Invader's Scourgestone"] = 0;
			["Corruptor's Scourgestone"] = 0;
			["Argent Dawn Valor Token"] = 0;
			["Core of Elements"] = 0;
			["Crypt Fiend Parts"] = 0;
			["Bone Fragments"] = 0;
			["Dark Iron Scraps"] = 0;
			["Savage Frond"] = 0;
			["Insignia of the Crusade"] = 0;
			["Insignia of the Dawn"] = 0;
			["Arcane Quickener"] = 0;
			["Osseous Agitator"] = 0;
			["Somatic Intensifier"] = 0;
			["Ectoplasmic Resonator"] = 0;
			["Runecloth"] = 0;
		    };
	    [10] =  {
			["Minion's Scourgestone"] = 0;
			["Invader's Scourgestone"] = 0;
			["Corruptor's Scourgestone"] = 0;
			["Argent Dawn Valor Token"] = 0;
			["Core of Elements"] = 0;
			["Crypt Fiend Parts"] = 0;
			["Bone Fragments"] = 0;
			["Dark Iron Scraps"] = 0;
			["Savage Frond"] = 0;
			["Insignia of the Crusade"] = 0;
			["Insignia of the Dawn"] = 0;
			["Arcane Quickener"] = 0;
			["Osseous Agitator"] = 0;
			["Somatic Intensifier"] = 0;
			["Ectoplasmic Resonator"] = 0;
			["Runecloth"] = 0;
		    };
--"Bag" 11 is the total number of each item not including bank bags (i.e. the sum of bags 0 through 4)		    
	    [11] =  { 
			["Minion's Scourgestone"] = 0;
			["Invader's Scourgestone"] = 0;
			["Corruptor's Scourgestone"] = 0;
			["Argent Dawn Valor Token"] = 0;
			["Core of Elements"] = 0;
			["Crypt Fiend Parts"] = 0;
			["Bone Fragments"] = 0;
			["Dark Iron Scraps"] = 0;
			["Savage Frond"] = 0;
			["Insignia of the Crusade"] = 0;
			["Insignia of the Dawn"] = 0;
			["Arcane Quickener"] = 0;
			["Osseous Agitator"] = 0;
			["Somatic Intensifier"] = 0;
			["Ectoplasmic Resonator"] = 0;
			["Runecloth"] = 0;
		    };
--"Bag" 12 is the total number of each item including bank bags (i.e. the sum of bags -1 through 10)
	    [12] =  { 
			["Minion's Scourgestone"] = 0;
			["Invader's Scourgestone"] = 0;
			["Corruptor's Scourgestone"] = 0;
			["Argent Dawn Valor Token"] = 0;
			["Core of Elements"] = 0;
			["Crypt Fiend Parts"] = 0;
			["Bone Fragments"] = 0;
			["Dark Iron Scraps"] = 0;
			["Savage Frond"] = 0;
			["Insignia of the Crusade"] = 0;
			["Insignia of the Dawn"] = 0;
			["Arcane Quickener"] = 0;
			["Osseous Agitator"] = 0;
			["Somatic Intensifier"] = 0;
			["Ectoplasmic Resonator"] = 0;
			["Runecloth"] = 0;
		    };
	};
    end

    ArgentDawnGrinder_UpdateDisplayData();
end

function ArgentDawnGrinder_RegisterSlashCommands()
    ArgentDawnGrinder_RegisterSlashCmd(ARGENT_DAWN_GRINDER_PREFIX, "/argentdawngrinder", "/adg"); --make sure and change the / commands here
    --add slash command registrations here
end

function ArgentDawnGrinder_IDFromItemLink(link)
    local index = strfind(link, ":");
    if ( index ) then
	link = strsub(link, index+1, index+8);
	index = strfind(link,":");
	if(index) then
	    link = strsub(link,1,index-1);
	else
	    link = "";
	end
    else
	link = "";
    end	
    return link;
end

function ArgentDawnGrinder_Cmd(msg,id)
    msg, params = ArgentDawnGrinder_ExtractNextParameter(msg);
    if(msg == "help") then
        ArgentDawnGrinder_Usage(id);
    elseif(msg == "d")then
	local texture, itemCount, locked, quality, readable = GetContainerItemInfo(0,1);
	DEFAULT_CHAT_FRAME:AddMessage(texture);
	DEFAULT_CHAT_FRAME:AddMessage(ArgentDawnGrinder_IDFromItemLink(GetContainerItemLink(0, 1)));
    else
        ArgentDawnGrinder_ToggleDisplay("ArgentDawnGrinderSettingsFrame");
    end
end

function ArgentDawnGrinder_RecountItemsInBag(bag)
  if(((bag>=0)and(bag<=4))or(BANK_IS_OPEN))then
    local items=
    {
	["Minion's Scourgestone"] = 0;
	["Invader's Scourgestone"] = 0;
	["Corruptor's Scourgestone"] = 0;
	["Argent Dawn Valor Token"] = 0;
	["Core of Elements"] = 0;
	["Crypt Fiend Parts"] = 0;
	["Bone Fragments"] = 0;
	["Dark Iron Scraps"] = 0;
	["Savage Frond"] = 0;
	["Insignia of the Crusade"] = 0;
	["Insignia of the Dawn"] = 0;
	["Arcane Quickener"] = 0;
	["Osseous Agitator"] = 0;
	["Somatic Intensifier"] = 0;
	["Ectoplasmic Resonator"] = 0;
	["Runecloth"] = 0;
    };
    local itemname = "";

    if((bag>=0)and(bag<=4))then
        itemname="Minion's Scourgestone";   ARGENT_DAWN_GRINDER_BAGS[11][itemname] = ARGENT_DAWN_GRINDER_BAGS[11][itemname] - ARGENT_DAWN_GRINDER_BAGS[bag][itemname];
	itemname="Invader's Scourgestone";  ARGENT_DAWN_GRINDER_BAGS[11][itemname] = ARGENT_DAWN_GRINDER_BAGS[11][itemname] - ARGENT_DAWN_GRINDER_BAGS[bag][itemname];
        itemname="Corruptor's Scourgestone";ARGENT_DAWN_GRINDER_BAGS[11][itemname] = ARGENT_DAWN_GRINDER_BAGS[11][itemname] - ARGENT_DAWN_GRINDER_BAGS[bag][itemname];
	itemname="Argent Dawn Valor Token"; ARGENT_DAWN_GRINDER_BAGS[11][itemname] = ARGENT_DAWN_GRINDER_BAGS[11][itemname] - ARGENT_DAWN_GRINDER_BAGS[bag][itemname];
        itemname="Core of Elements";        ARGENT_DAWN_GRINDER_BAGS[11][itemname] = ARGENT_DAWN_GRINDER_BAGS[11][itemname] - ARGENT_DAWN_GRINDER_BAGS[bag][itemname];
	itemname="Crypt Fiend Parts";       ARGENT_DAWN_GRINDER_BAGS[11][itemname] = ARGENT_DAWN_GRINDER_BAGS[11][itemname] - ARGENT_DAWN_GRINDER_BAGS[bag][itemname];
        itemname="Bone Fragments";          ARGENT_DAWN_GRINDER_BAGS[11][itemname] = ARGENT_DAWN_GRINDER_BAGS[11][itemname] - ARGENT_DAWN_GRINDER_BAGS[bag][itemname];
	itemname="Dark Iron Scraps";        ARGENT_DAWN_GRINDER_BAGS[11][itemname] = ARGENT_DAWN_GRINDER_BAGS[11][itemname] - ARGENT_DAWN_GRINDER_BAGS[bag][itemname];
        itemname="Savage Frond";            ARGENT_DAWN_GRINDER_BAGS[11][itemname] = ARGENT_DAWN_GRINDER_BAGS[11][itemname] - ARGENT_DAWN_GRINDER_BAGS[bag][itemname];
	itemname="Insignia of the Crusade"; ARGENT_DAWN_GRINDER_BAGS[11][itemname] = ARGENT_DAWN_GRINDER_BAGS[11][itemname] - ARGENT_DAWN_GRINDER_BAGS[bag][itemname];
        itemname="Insignia of the Dawn";    ARGENT_DAWN_GRINDER_BAGS[11][itemname] = ARGENT_DAWN_GRINDER_BAGS[11][itemname] - ARGENT_DAWN_GRINDER_BAGS[bag][itemname];
	itemname="Arcane Quickener";        ARGENT_DAWN_GRINDER_BAGS[11][itemname] = ARGENT_DAWN_GRINDER_BAGS[11][itemname] - ARGENT_DAWN_GRINDER_BAGS[bag][itemname];
	itemname="Osseous Agitator";        ARGENT_DAWN_GRINDER_BAGS[11][itemname] = ARGENT_DAWN_GRINDER_BAGS[11][itemname] - ARGENT_DAWN_GRINDER_BAGS[bag][itemname];
        itemname="Somatic Intensifier";     ARGENT_DAWN_GRINDER_BAGS[11][itemname] = ARGENT_DAWN_GRINDER_BAGS[11][itemname] - ARGENT_DAWN_GRINDER_BAGS[bag][itemname];
	itemname="Ectoplasmic Resonator";   ARGENT_DAWN_GRINDER_BAGS[11][itemname] = ARGENT_DAWN_GRINDER_BAGS[11][itemname] - ARGENT_DAWN_GRINDER_BAGS[bag][itemname];
        itemname="Runecloth";               ARGENT_DAWN_GRINDER_BAGS[11][itemname] = ARGENT_DAWN_GRINDER_BAGS[11][itemname] - ARGENT_DAWN_GRINDER_BAGS[bag][itemname];
    end
    itemname="Minion's Scourgestone";   ARGENT_DAWN_GRINDER_BAGS[12][itemname] = ARGENT_DAWN_GRINDER_BAGS[12][itemname] - ARGENT_DAWN_GRINDER_BAGS[bag][itemname];
    itemname="Invader's Scourgestone";  ARGENT_DAWN_GRINDER_BAGS[12][itemname] = ARGENT_DAWN_GRINDER_BAGS[12][itemname] - ARGENT_DAWN_GRINDER_BAGS[bag][itemname];
    itemname="Corruptor's Scourgestone";ARGENT_DAWN_GRINDER_BAGS[12][itemname] = ARGENT_DAWN_GRINDER_BAGS[12][itemname] - ARGENT_DAWN_GRINDER_BAGS[bag][itemname];
    itemname="Argent Dawn Valor Token"; ARGENT_DAWN_GRINDER_BAGS[12][itemname] = ARGENT_DAWN_GRINDER_BAGS[12][itemname] - ARGENT_DAWN_GRINDER_BAGS[bag][itemname];
    itemname="Core of Elements";        ARGENT_DAWN_GRINDER_BAGS[12][itemname] = ARGENT_DAWN_GRINDER_BAGS[12][itemname] - ARGENT_DAWN_GRINDER_BAGS[bag][itemname];
    itemname="Crypt Fiend Parts";       ARGENT_DAWN_GRINDER_BAGS[12][itemname] = ARGENT_DAWN_GRINDER_BAGS[12][itemname] - ARGENT_DAWN_GRINDER_BAGS[bag][itemname];
    itemname="Bone Fragments";          ARGENT_DAWN_GRINDER_BAGS[12][itemname] = ARGENT_DAWN_GRINDER_BAGS[12][itemname] - ARGENT_DAWN_GRINDER_BAGS[bag][itemname];
    itemname="Dark Iron Scraps";        ARGENT_DAWN_GRINDER_BAGS[12][itemname] = ARGENT_DAWN_GRINDER_BAGS[12][itemname] - ARGENT_DAWN_GRINDER_BAGS[bag][itemname];
    itemname="Savage Frond";            ARGENT_DAWN_GRINDER_BAGS[12][itemname] = ARGENT_DAWN_GRINDER_BAGS[12][itemname] - ARGENT_DAWN_GRINDER_BAGS[bag][itemname];
    itemname="Insignia of the Crusade"; ARGENT_DAWN_GRINDER_BAGS[12][itemname] = ARGENT_DAWN_GRINDER_BAGS[12][itemname] - ARGENT_DAWN_GRINDER_BAGS[bag][itemname];
    itemname="Insignia of the Dawn";    ARGENT_DAWN_GRINDER_BAGS[12][itemname] = ARGENT_DAWN_GRINDER_BAGS[12][itemname] - ARGENT_DAWN_GRINDER_BAGS[bag][itemname];
    itemname="Arcane Quickener";        ARGENT_DAWN_GRINDER_BAGS[12][itemname] = ARGENT_DAWN_GRINDER_BAGS[12][itemname] - ARGENT_DAWN_GRINDER_BAGS[bag][itemname];
    itemname="Osseous Agitator";        ARGENT_DAWN_GRINDER_BAGS[12][itemname] = ARGENT_DAWN_GRINDER_BAGS[12][itemname] - ARGENT_DAWN_GRINDER_BAGS[bag][itemname];
    itemname="Somatic Intensifier";     ARGENT_DAWN_GRINDER_BAGS[12][itemname] = ARGENT_DAWN_GRINDER_BAGS[12][itemname] - ARGENT_DAWN_GRINDER_BAGS[bag][itemname];
    itemname="Ectoplasmic Resonator";   ARGENT_DAWN_GRINDER_BAGS[12][itemname] = ARGENT_DAWN_GRINDER_BAGS[12][itemname] - ARGENT_DAWN_GRINDER_BAGS[bag][itemname];
    itemname="Runecloth";               ARGENT_DAWN_GRINDER_BAGS[12][itemname] = ARGENT_DAWN_GRINDER_BAGS[12][itemname] - ARGENT_DAWN_GRINDER_BAGS[bag][itemname];

    for slot=1,GetContainerNumSlots(bag) do
        if (GetContainerItemLink(bag,slot)) then
	    local itemID = ArgentDawnGrinder_IDFromItemLink(GetContainerItemLink(bag,slot));
	    if   (itemID==ArgentDawnGrinder_ItemIDS["Minion's Scourgestone"])then
		items["Minion's Scourgestone"] = items["Minion's Scourgestone"] + ArgentDawnGrinder_ItemsIn(bag,slot);
	    elseif(itemID==ArgentDawnGrinder_ItemIDS["Invader's Scourgestone"])then
		items["Invader's Scourgestone"] = items["Invader's Scourgestone"] + ArgentDawnGrinder_ItemsIn(bag,slot);
	    elseif(itemID==ArgentDawnGrinder_ItemIDS["Corruptor's Scourgestone"])then
		items["Corruptor's Scourgestone"] = items["Corruptor's Scourgestone"] + ArgentDawnGrinder_ItemsIn(bag,slot);
	    elseif(itemID==ArgentDawnGrinder_ItemIDS["Argent Dawn Valor Token"])then
		items["Argent Dawn Valor Token"] = items["Argent Dawn Valor Token"] + ArgentDawnGrinder_ItemsIn(bag,slot);
	    elseif(itemID==ArgentDawnGrinder_ItemIDS["Core of Elements"])then
		items["Core of Elements"] = items["Core of Elements"] + ArgentDawnGrinder_ItemsIn(bag,slot);
	    elseif(itemID==ArgentDawnGrinder_ItemIDS["Crypt Fiend Parts"])then
		items["Crypt Fiend Parts"] = items["Crypt Fiend Parts"] + ArgentDawnGrinder_ItemsIn(bag,slot);
	    elseif(itemID==ArgentDawnGrinder_ItemIDS["Bone Fragments"])then
		items["Bone Fragments"] = items["Bone Fragments"] + ArgentDawnGrinder_ItemsIn(bag,slot);
	    elseif(itemID==ArgentDawnGrinder_ItemIDS["Dark Iron Scraps"])then
		items["Dark Iron Scraps"] = items["Dark Iron Scraps"] + ArgentDawnGrinder_ItemsIn(bag,slot);
	    elseif(itemID==ArgentDawnGrinder_ItemIDS["Savage Frond"])then
		items["Savage Frond"] = items["Savage Frond"] + ArgentDawnGrinder_ItemsIn(bag,slot);
	    elseif(itemID==ArgentDawnGrinder_ItemIDS["Insignia of the Crusade"])then
		items["Insignia of the Crusade"] = items["Insignia of the Crusade"] + ArgentDawnGrinder_ItemsIn(bag,slot);
	    elseif(itemID==ArgentDawnGrinder_ItemIDS["Insignia of the Dawn"])then
		items["Insignia of the Dawn"] = items["Insignia of the Dawn"] + ArgentDawnGrinder_ItemsIn(bag,slot);
	    elseif(itemID==ArgentDawnGrinder_ItemIDS["Arcane Quickener"])then
		items["Arcane Quickener"] = items["Arcane Quickener"] + ArgentDawnGrinder_ItemsIn(bag,slot);
	    elseif(itemID==ArgentDawnGrinder_ItemIDS["Osseous Agitator"])then
		items["Osseous Agitator"] = items["Osseous Agitator"] + ArgentDawnGrinder_ItemsIn(bag,slot);
	    elseif(itemID==ArgentDawnGrinder_ItemIDS["Somatic Intensifier"])then
		items["Somatic Intensifier"] = items["Somatic Intensifier"] + ArgentDawnGrinder_ItemsIn(bag,slot);
	    elseif(itemID==ArgentDawnGrinder_ItemIDS["Ectoplasmic Resonator"])then
		items["Ectoplasmic Resonator"] = items["Ectoplasmic Resonator"] + ArgentDawnGrinder_ItemsIn(bag,slot);
	    elseif(itemID==ArgentDawnGrinder_ItemIDS["Runecloth"])then
		items["Runecloth"] = items["Runecloth"] + ArgentDawnGrinder_ItemsIn(bag,slot);
	    end
	end
    end

    ARGENT_DAWN_GRINDER_BAGS[bag] = items;

    if((bag>=0)and(bag<=4))then
        itemname="Minion's Scourgestone";   ARGENT_DAWN_GRINDER_BAGS[11][itemname] = ARGENT_DAWN_GRINDER_BAGS[11][itemname] + ARGENT_DAWN_GRINDER_BAGS[bag][itemname];
	itemname="Invader's Scourgestone";  ARGENT_DAWN_GRINDER_BAGS[11][itemname] = ARGENT_DAWN_GRINDER_BAGS[11][itemname] + ARGENT_DAWN_GRINDER_BAGS[bag][itemname];
        itemname="Corruptor's Scourgestone";ARGENT_DAWN_GRINDER_BAGS[11][itemname] = ARGENT_DAWN_GRINDER_BAGS[11][itemname] + ARGENT_DAWN_GRINDER_BAGS[bag][itemname];
	itemname="Argent Dawn Valor Token"; ARGENT_DAWN_GRINDER_BAGS[11][itemname] = ARGENT_DAWN_GRINDER_BAGS[11][itemname] + ARGENT_DAWN_GRINDER_BAGS[bag][itemname];
        itemname="Core of Elements";        ARGENT_DAWN_GRINDER_BAGS[11][itemname] = ARGENT_DAWN_GRINDER_BAGS[11][itemname] + ARGENT_DAWN_GRINDER_BAGS[bag][itemname];
	itemname="Crypt Fiend Parts";       ARGENT_DAWN_GRINDER_BAGS[11][itemname] = ARGENT_DAWN_GRINDER_BAGS[11][itemname] + ARGENT_DAWN_GRINDER_BAGS[bag][itemname];
        itemname="Bone Fragments";          ARGENT_DAWN_GRINDER_BAGS[11][itemname] = ARGENT_DAWN_GRINDER_BAGS[11][itemname] + ARGENT_DAWN_GRINDER_BAGS[bag][itemname];
	itemname="Dark Iron Scraps";        ARGENT_DAWN_GRINDER_BAGS[11][itemname] = ARGENT_DAWN_GRINDER_BAGS[11][itemname] + ARGENT_DAWN_GRINDER_BAGS[bag][itemname];
        itemname="Savage Frond";            ARGENT_DAWN_GRINDER_BAGS[11][itemname] = ARGENT_DAWN_GRINDER_BAGS[11][itemname] + ARGENT_DAWN_GRINDER_BAGS[bag][itemname];
	itemname="Insignia of the Crusade"; ARGENT_DAWN_GRINDER_BAGS[11][itemname] = ARGENT_DAWN_GRINDER_BAGS[11][itemname] + ARGENT_DAWN_GRINDER_BAGS[bag][itemname];
        itemname="Insignia of the Dawn";    ARGENT_DAWN_GRINDER_BAGS[11][itemname] = ARGENT_DAWN_GRINDER_BAGS[11][itemname] + ARGENT_DAWN_GRINDER_BAGS[bag][itemname];
	itemname="Arcane Quickener";        ARGENT_DAWN_GRINDER_BAGS[11][itemname] = ARGENT_DAWN_GRINDER_BAGS[11][itemname] + ARGENT_DAWN_GRINDER_BAGS[bag][itemname];
	itemname="Osseous Agitator";        ARGENT_DAWN_GRINDER_BAGS[11][itemname] = ARGENT_DAWN_GRINDER_BAGS[11][itemname] + ARGENT_DAWN_GRINDER_BAGS[bag][itemname];
        itemname="Somatic Intensifier";     ARGENT_DAWN_GRINDER_BAGS[11][itemname] = ARGENT_DAWN_GRINDER_BAGS[11][itemname] + ARGENT_DAWN_GRINDER_BAGS[bag][itemname];
	itemname="Ectoplasmic Resonator";   ARGENT_DAWN_GRINDER_BAGS[11][itemname] = ARGENT_DAWN_GRINDER_BAGS[11][itemname] + ARGENT_DAWN_GRINDER_BAGS[bag][itemname];
        itemname="Runecloth";               ARGENT_DAWN_GRINDER_BAGS[11][itemname] = ARGENT_DAWN_GRINDER_BAGS[11][itemname] + ARGENT_DAWN_GRINDER_BAGS[bag][itemname];
    end
    itemname="Minion's Scourgestone";   ARGENT_DAWN_GRINDER_BAGS[12][itemname] = ARGENT_DAWN_GRINDER_BAGS[12][itemname] + ARGENT_DAWN_GRINDER_BAGS[bag][itemname];
    itemname="Invader's Scourgestone";  ARGENT_DAWN_GRINDER_BAGS[12][itemname] = ARGENT_DAWN_GRINDER_BAGS[12][itemname] + ARGENT_DAWN_GRINDER_BAGS[bag][itemname];
    itemname="Corruptor's Scourgestone";ARGENT_DAWN_GRINDER_BAGS[12][itemname] = ARGENT_DAWN_GRINDER_BAGS[12][itemname] + ARGENT_DAWN_GRINDER_BAGS[bag][itemname];
    itemname="Argent Dawn Valor Token"; ARGENT_DAWN_GRINDER_BAGS[12][itemname] = ARGENT_DAWN_GRINDER_BAGS[12][itemname] + ARGENT_DAWN_GRINDER_BAGS[bag][itemname];
    itemname="Core of Elements";        ARGENT_DAWN_GRINDER_BAGS[12][itemname] = ARGENT_DAWN_GRINDER_BAGS[12][itemname] + ARGENT_DAWN_GRINDER_BAGS[bag][itemname];
    itemname="Crypt Fiend Parts";       ARGENT_DAWN_GRINDER_BAGS[12][itemname] = ARGENT_DAWN_GRINDER_BAGS[12][itemname] + ARGENT_DAWN_GRINDER_BAGS[bag][itemname];
    itemname="Bone Fragments";          ARGENT_DAWN_GRINDER_BAGS[12][itemname] = ARGENT_DAWN_GRINDER_BAGS[12][itemname] + ARGENT_DAWN_GRINDER_BAGS[bag][itemname];
    itemname="Dark Iron Scraps";        ARGENT_DAWN_GRINDER_BAGS[12][itemname] = ARGENT_DAWN_GRINDER_BAGS[12][itemname] + ARGENT_DAWN_GRINDER_BAGS[bag][itemname];
    itemname="Savage Frond";            ARGENT_DAWN_GRINDER_BAGS[12][itemname] = ARGENT_DAWN_GRINDER_BAGS[12][itemname] + ARGENT_DAWN_GRINDER_BAGS[bag][itemname];
    itemname="Insignia of the Crusade"; ARGENT_DAWN_GRINDER_BAGS[12][itemname] = ARGENT_DAWN_GRINDER_BAGS[12][itemname] + ARGENT_DAWN_GRINDER_BAGS[bag][itemname];
    itemname="Insignia of the Dawn";    ARGENT_DAWN_GRINDER_BAGS[12][itemname] = ARGENT_DAWN_GRINDER_BAGS[12][itemname] + ARGENT_DAWN_GRINDER_BAGS[bag][itemname];
    itemname="Arcane Quickener";        ARGENT_DAWN_GRINDER_BAGS[12][itemname] = ARGENT_DAWN_GRINDER_BAGS[12][itemname] + ARGENT_DAWN_GRINDER_BAGS[bag][itemname];
    itemname="Osseous Agitator";        ARGENT_DAWN_GRINDER_BAGS[12][itemname] = ARGENT_DAWN_GRINDER_BAGS[12][itemname] + ARGENT_DAWN_GRINDER_BAGS[bag][itemname];
    itemname="Somatic Intensifier";     ARGENT_DAWN_GRINDER_BAGS[12][itemname] = ARGENT_DAWN_GRINDER_BAGS[12][itemname] + ARGENT_DAWN_GRINDER_BAGS[bag][itemname];
    itemname="Ectoplasmic Resonator";   ARGENT_DAWN_GRINDER_BAGS[12][itemname] = ARGENT_DAWN_GRINDER_BAGS[12][itemname] + ARGENT_DAWN_GRINDER_BAGS[bag][itemname];
    itemname="Runecloth";               ARGENT_DAWN_GRINDER_BAGS[12][itemname] = ARGENT_DAWN_GRINDER_BAGS[12][itemname] + ARGENT_DAWN_GRINDER_BAGS[bag][itemname];
  end
end

function ArgentDawnGrinder_UpdateDisplayData()
    local repValue = 0;
    local bag = 11;
    if(ARGENT_DAWN_GRINDER_SETTINGS["INCLUDE_BANK_BAGS"])then bag = 12; end
    
    local itemCount = ARGENT_DAWN_GRINDER_BAGS[bag]["Bone Fragments"];
    repValue = repValue + (math.floor(itemCount/30)*10);
    getglobal("ADG_BoneFragmentCount"):SetText(itemCount);

    itemCount = ARGENT_DAWN_GRINDER_BAGS[bag]["Core of Elements"];
    repValue = repValue + (math.floor(itemCount/30)*10);
    getglobal("ADG_CoreofElementsCount"):SetText(itemCount);

    itemCount = ARGENT_DAWN_GRINDER_BAGS[bag]["Crypt Fiend Parts"];
    repValue = repValue + (math.floor(itemCount/30)*10);
    getglobal("ADG_CryptFiendPartsCount"):SetText(itemCount);

    itemCount = ARGENT_DAWN_GRINDER_BAGS[bag]["Dark Iron Scraps"];
    repValue = repValue + (math.floor(itemCount/30)*10);
    getglobal("ADG_DarkIronScrapsCount"):SetText(itemCount);

    itemCount = ARGENT_DAWN_GRINDER_BAGS[bag]["Savage Frond"];
    repValue = repValue + (math.floor(itemCount/30)*10);
    getglobal("ADG_SavageFrondCount"):SetText(itemCount);

    itemCount = ARGENT_DAWN_GRINDER_BAGS[bag]["Minion's Scourgestone"];
    repValue = repValue + (math.floor(itemCount/20)*50);
    getglobal("ADG_MinionsScourgestoneCount"):SetText(itemCount);

    itemCount = ARGENT_DAWN_GRINDER_BAGS[bag]["Invader's Scourgestone"];
    repValue = repValue + (math.floor(itemCount/10)*50);
    getglobal("ADG_InvadersScourgestoneCount"):SetText(itemCount);
 
    itemCount = ARGENT_DAWN_GRINDER_BAGS[bag]["Corruptor's Scourgestone"];
    repValue = repValue + (itemCount*50);
    getglobal("ADG_CorruptorsScourgestoneCount"):SetText(itemCount);

    itemCount = ARGENT_DAWN_GRINDER_BAGS[bag]["Argent Dawn Valor Token"];
    repValue = repValue + (itemCount*25);
    getglobal("ADG_ArgentDawnValorTokenCount"):SetText(itemCount);

   local race = UnitRace("player");
   if race == "Human" then
       repValue = math.floor(repValue * 1.1);
   end

    getglobal("ADG_RepValue"):SetText("Rep Value : "..repValue);
    if(REP_VALUE ~= repValue)then
        REP_VALUE = repValue;
	ArgentDawnGrinder_UpdateRepBars();
    end

    local repLevel = "";

    for factionIndex = 1, GetNumFactions() do
        factionName, description, standingId, bottomValue, topValue, earnedValue, atWarWith,
        canToggleAtWar, isHeader, isCollapsed, isWatched = GetFactionInfo(factionIndex)
        if ((isHeader == nil)and(string.find(factionName, "Argent Dawn"))) then
            if(standingId==8)then
		repLevel = "Exalted";
	    elseif(standingId==7)then
		repLevel = "Revered";
	    elseif(standingId==6)then
		repLevel = "Honored";
	    elseif(standingId==5)then
		repLevel = "Friendly";
	    elseif(standingID==4)then
		repLevel = "Neutral";
            end
        end
    end

    local superiorOutOf = 0;
    if repLevel=="Exalted" then
	superiorOutOf = 6;
    elseif repLevel=="Revered" then
	superiorOutOf = 7;
    elseif repLevel=="Honored" then
	superiorOutOf = 20;
    elseif repLevel=="Friendly" then
	superiorOutOf = 30;
    end

    local epicOutOf = 0;
    if repLevel=="Exalted" then
	epicOutOf = 27;
    elseif repLevel=="Revered" then
	epicOutOf = 45;
    elseif repLevel=="Honored" then
	epicOutOf = 75;
    elseif repLevel=="Friendly" then
	epicOutOf = 110;
    end

    itemCount = ARGENT_DAWN_GRINDER_BAGS[bag]["Insignia of the Crusade"];
    getglobal("ADG_SuperiorSCCount"):SetText(itemCount.."/"..superiorOutOf);
    getglobal("ADG_EpicSCCount"):SetText(itemCount.."/"..epicOutOf);

    itemCount = ARGENT_DAWN_GRINDER_BAGS[bag]["Insignia of the Dawn"];
    getglobal("ADG_SuperiorADCount"):SetText(itemCount.."/"..superiorOutOf);
    getglobal("ADG_EpicADCount"):SetText(itemCount.."/"..epicOutOf);

    itemCount = ARGENT_DAWN_GRINDER_BAGS[bag]["Osseous Agitator"];
    getglobal("ADG_OsseousAgitator"):SetText(itemCount.."/6");

    itemCount = ARGENT_DAWN_GRINDER_BAGS[bag]["Somatic Intensifier"];
    getglobal("ADG_SomaticIntensifier"):SetText(itemCount.."/5");

    itemCount = ARGENT_DAWN_GRINDER_BAGS[bag]["Ectoplasmic Resonator"];
    getglobal("ADG_EctoplasmicResonator"):SetText(itemCount.."/4");

    itemCount = ARGENT_DAWN_GRINDER_BAGS[bag]["Arcane Quickener"];
    getglobal("ADG_ArcaneQuickener1"):SetText(itemCount.."/1");
    getglobal("ADG_ArcaneQuickener2"):SetText(itemCount.."/1");
    getglobal("ADG_ArcaneQuickener3"):SetText(itemCount.."/1");

    itemCount = ARGENT_DAWN_GRINDER_BAGS[bag]["Runecloth"];
    getglobal("ADG_Runecloth1"):SetText(itemCount.."/4");
    getglobal("ADG_Runecloth2"):SetText(itemCount.."/4");
    getglobal("ADG_Runecloth3"):SetText(itemCount.."/4");
end

function ArgentDawnGrinder_ScanBankedObjects()
    ArgentDawnGrinder_RecountItemsInBag(-1);
    ArgentDawnGrinder_RecountItemsInBag(5);
    ArgentDawnGrinder_RecountItemsInBag(6);
    ArgentDawnGrinder_RecountItemsInBag(7);
    ArgentDawnGrinder_RecountItemsInBag(8);
    ArgentDawnGrinder_RecountItemsInBag(9);
    ArgentDawnGrinder_RecountItemsInBag(10);
    ArgentDawnGrinder_UpdateDisplayData();
end

function ArgentDawnGrinder_ItemsIn(bag,slot)
    local texture, itemCount, locked, quality, readable = GetContainerItemInfo(bag,slot);
    return itemCount;
end;

function ArgentDawnGrinder_NetworkEvent(msg, channel, sender)
    if(sender ~= UnitName("player")) then -- process only network events from others, ignore ourselves.
        --insert network processing code here
    end
end

function ArgentDawnGrinder_Usage(id)
    DEFAULT_CHAT_FRAME:AddMessage("|cff00ff50".."ArgentDawnGrinder Usage");
    DEFAULT_CHAT_FRAME:AddMessage("|cff00ff50".."  /adg - display the settings screen");
    --add usage message here
end

function ArgentDawnGrinder_ToggleDisplay(frameName)
   local frame = getglobal(frameName)
   if (frame) then
   if(frame:IsVisible()) then
      frame:Hide();
   else
      frame:Show();
   end
   end
end

function ArgentDawnGrinder_OnLoad()
    ArgentDawnGrinder_RegisterEvents();
    ArgentDawnGrinder_RegisterSlashCommands();
end

function ArgentDawnGrinder_RegisterSlashCmd(identifier, ...)
    setglobal("ArgentDawnGrinder_Cmd"..identifier, function (msg) ArgentDawnGrinder_Cmd(msg, identifier); end); --zomg haxx! pointer to a function via the name of the function as a passed variable!
	SlashCmdList[identifier] = getglobal("ArgentDawnGrinder_Cmd"..identifier);
	local otherCmds = "";
	for i = 1, arg.n, 1 do
		setglobal("SLASH_" .. identifier .. i, arg[i]);
		if ( i > 1 ) then
			if ( strlen(otherCmds) > 0 ) then
				otherCmds = otherCmds .. ", ";
			end
			otherCmds = otherCmds .. arg[i];
		end
	end
end



function ArgentDawnGrinder_ExtractNextParameter(msg)
	local params = msg;
	local command = params;
	local index = strfind(command, " ");
	if ( index ) then
		command = strsub(command, 1, index-1);
		params = strsub(params, index+1);
	else
		params = "";
	end
	return command, params;
end

function ArgentDawnGrinder_OnEvent()
    if ( event == "VARIABLES_LOADED" ) then    
        ArgentDawnGrinder_Init();
    elseif((event == "ADDON_LOADED") and (arg1 == "ArgentDawnGrinder"))then
	ArgentDawnGrinder_LoadConfiguration();
    elseif(event == "CHAT_MSG_CHANNEL_NOTICE")then
	this:UnregisterEvent("CHAT_MSG_CHANNEL_NOTICE");
	ArgentDawnGrinder_UpdateDisplayData();
	ArgentDawnGrinder_UpdateRepBars();
    elseif(event == "BANKFRAME_OPENED")then
	BANK_IS_OPEN = true;
	if not(ARGENT_DAWN_GRINDER_SETTINGS["BANK_SCANNED"])then
	    ArgentDawnGrinder_ScanBankedObjects();
	    ARGENT_DAWN_GRINDER_SETTINGS["BANK_SCANNED"] = true;
	end
    elseif(event == "BANKFRAME_CLOSED")then
	BANK_IS_OPEN = false;
    elseif( event == "BAG_UPDATE" ) then
	ArgentDawnGrinder_RecountItemsInBag(arg1);--arg1 will be the number of the bag altered
        ArgentDawnGrinder_UpdateDisplayData();
	ArgentDawnGrinder_UpdateRepBars();
    elseif( event == "CHAT_MSG_ADDON" ) then
        if(arg1 == ARGENT_DAWN_GRINDER_PREFIX) then
            ArgentDawnGrinder_NetworkEvent(arg2, arg3, arg4);
        end
    elseif( event == "CHAT_MSG_COMBAT_FACTION_CHANGE")then
	ArgentDawnGrinder_UpdateRepBars();
    end
end

function ArgentDawnGrinder_SendNetworkMessage(msg, destination)
    if(destination == "GUILD") then
        if(IsInGuild()) then
             SendAddonMessage(ARGENT_DAWN_GRINDER_PREFIX,msg,destination);
        end
    elseif(destination == "RAID") then
        if(GetNumRaidMembers()) then
            SendAddonMessage(ARGENT_DAWN_GRINDER_PREFIX,msg,destination);
        end
    elseif(destination == "PARTY") then
        if(GetNumPartyMembers()) then
            SendAddonMessage(ARGENT_DAWN_GRINDER_PREFIX,msg,destination);
        end
    elseif(destination == "BATTLEGROUND") then
        if(GetBattlefieldInstanceRunTime()) then
            SendAddonMessage(ARGENT_DAWN_GRINDER_PREFIX,msg,destination);
        end
    end
end

function ArgentDawnGrinder_SetTurninTrackerVisibility(show)
    ARGENT_DAWN_GRINDER_SETTINGS["SHOW_TURNIN_TRACKER"] = show;
    local frame = getglobal("ArgentDawnGrinderDisplayFrame");
    if(frame)then
        if(show)then
	    ArgentDawnGrinder_UpdateDisplayData();
	    ArgentDawnGrinder_UpdateRepBars();
            frame:Show();
        else
	    frame:Hide();
        end
    end
end

function ArgentDawnGrinder_SetCauldronTrackerVisibility(show)
    ARGENT_DAWN_GRINDER_SETTINGS["SHOW_CAULDRON_TRACKER"] = show;
    local frame = getglobal("ArgentDawnGrinderCauldronFrame");
    if(frame)then
        if(show)then
            frame:Show();
        else
	    frame:Hide();
        end
    end
end

function ArgentDawnGrinder_LoadConfiguration()
    if(ARGENT_DAWN_GRINDER_SETTINGS == nil)then
	ARGENT_DAWN_GRINDER_SETTINGS=
	{
	    ["SHOW_TURNIN_TRACKER"] = false;
	    ["SHOW_CAULDRON_TRACKER"] = false;
	    ["INCLUDE_BANK_BAGS"] = false;
	    ["BANK_SCANNED"] = false;
	}
    end

    getglobal("ADG_CB_ShowTurninTracker"):SetChecked(ARGENT_DAWN_GRINDER_SETTINGS["SHOW_TURNIN_TRACKER"]);
    ArgentDawnGrinder_SetTurninTrackerVisibility(ARGENT_DAWN_GRINDER_SETTINGS["SHOW_TURNIN_TRACKER"]);
    getglobal("ADG_CB_ShowCauldronTracker"):SetChecked(ARGENT_DAWN_GRINDER_SETTINGS["SHOW_CAULDRON_TRACKER"]);
    ArgentDawnGrinder_SetCauldronTrackerVisibility(ARGENT_DAWN_GRINDER_SETTINGS["SHOW_CAULDRON_TRACKER"]);
    getglobal("ADG_CB_IncludeBankBags"):SetChecked(ARGENT_DAWN_GRINDER_SETTINGS["INCLUDE_BANK_BAGS"]);

    if(UnitRace("player")=="Human")then
	getglobal("ADG_Cauldron1Rep"):SetText("16.5 rep per turnin");
	getglobal("ADG_Cauldron2Rep"):SetText("27.5 rep per turnin");
	getglobal("ADG_Cauldron4Rep"):SetText("27.5 rep per turnin");
    end
end

function ArgentDawnGrinder_UpdateRepBars()
    local repPercent = 0;
    local itemPercent = 0;
    local totalPercent = 0;
    for factionIndex = 1, GetNumFactions() do
        factionName, description, standingId, bottomValue, topValue, earnedValue, atWarWith,
        canToggleAtWar, isHeader, isCollapsed, isWatched = GetFactionInfo(factionIndex)
        if ((isHeader == nil)and(string.find(factionName, "Argent Dawn"))) then
            if(standingId==8)then --Exalted
		getglobal("ADG_SB_ActualRep"):SetValue(100);
		repPercent = 100;
		itemPercent = math.floor(REP_VALUE/42)/10;
	    elseif(standingId==7)then --Revered
		getglobal("ADG_SB_ActualRep"):SetValue(math.floor((earnedValue-21000)/21000*100));
		getglobal("ADG_SB_RepWithItems"):SetValue(math.min(100,math.floor((earnedValue+REP_VALUE-21000)/210)));
		repPercent = math.floor((earnedValue-21000)/21)/10;
		itemPercent = math.floor(REP_VALUE/21)/10;
	    elseif(standingId==6)then --Honored
		getglobal("ADG_SB_ActualRep"):SetValue(math.floor((earnedValue-9000)/12000*100));
		getglobal("ADG_SB_RepWithItems"):SetValue(math.min(100,math.floor((earnedValue+REP_VALUE-9000)/120)));
		repPercent = math.floor((earnedValue-9000)/12)/10;
		itemPercent = math.floor(REP_VALUE/12)/10;
	    elseif(standingId==5)then --Friendly
		getglobal("ADG_SB_ActualRep"):SetValue(math.floor((earnedValue-3000)/6000*100));
		getglobal("ADG_SB_RepWithItems"):SetValue(math.min(100,math.floor((earnedValue+REP_VALUE-3000)/60)));
		repPercent = math.floor((earnedValue-3000)/6)/10;
		itemPercent = math.floor(REP_VALUE/6)/10;
	    elseif(standingId==4)then --Neutral
		getglobal("ADG_SB_ActualRep"):SetValue(math.floor(earnedValue/3000*100));
		getglobal("ADG_SB_RepWithItems"):SetValue(math.min(100,math.floor((earnedValue+REP_VALUE)/30)));
		repPercent = math.floor(earnedValue/3)/10;
		itemPercent = math.floor(REP_VALUE/3)/10;
            end
        end
    end
    totalPercent = repPercent + itemPercent;
    getglobal("ADG_RepPercent"):SetText("|cff00ff00"..repPercent.."% |caaaaaaaa+ |cffffff00"..itemPercent.."% |caaaaaaaa= |cff88ff00"..totalPercent.."%");
end

function ArgentDawnGrinder_ShowTurninToolTip(text,color)
    local tooltip = getglobal("ADGToolTip");
    tooltip:SetOwner(button,"ANCHOR_TOPLEFT",0,0);
    if(color=="white")then
       tooltip:SetText(text,1,1,1);
    elseif(color=="green")then
       tooltip:SetText(text,0,1,0);
    end
    tooltip:Show();
    tooltip:ClearAllPoints();
    tooltip:SetPoint("TOP","ArgentDawnGrinderDisplayFrame","TOP",0,25);
end

function ArgentDawnGrinder_ShowCauldronToolTip(text,color)
    local tooltip = getglobal("ADGToolTip");
    tooltip:SetOwner(button,"ANCHOR_TOPLEFT",0,0);
    if(color=="white")then
       tooltip:SetText(text,1,1,1);
    elseif(color=="green")then
       tooltip:SetText(text,0,1,0);
    end
    tooltip:Show();
    tooltip:ClearAllPoints();
    tooltip:SetPoint("TOP","ArgentDawnGrinderCauldronFrame","TOP",0,25);
end

function ArgentDawnGrinder_HideToolTip()
    getglobal("ADGToolTip"):Hide();
end
